jQuery(function($){
	"use strict";
	jQuery('.main-menu-navigation > ul').superfish({
		delay: 500,
		animation: {opacity:'show',height:'show'},
		speed:'fast'
	});
});

function feminine_style_lite_menu_open() {
	jQuery(".side-menu").addClass('open');
}
function feminine_style_lite_menu_close() {
	jQuery(".side-menu").removeClass('open');
}

function feminine_style_lite_search_show() {
	jQuery(".search-outer").addClass('show');
	jQuery(".search-outer").fadeIn();
}
function feminine_style_lite_search_hide() {
	jQuery(".search-outer").removeClass('show');
	jQuery(".search-outer").fadeOut();
}

(function( $ ) {

	$(window).scroll(function(){
		var sticky = $('.sticky-header'),
		scroll = $(window).scrollTop();

		if (scroll >= 100) sticky.addClass('fixed-header px-lg-3 px-2');
		else sticky.removeClass('fixed-header px-lg-3 px-2');
	});

	// Back to top
	jQuery(document).ready(function () {
    jQuery(window).scroll(function () {
      if (jQuery(this).scrollTop() > 0) {
      	jQuery('.scrollup').fadeIn();
      } else {
        jQuery('.scrollup').fadeOut();
      }
    });
    jQuery('.scrollup').click(function () {
      jQuery("html, body").animate({
        scrollTop: 0
      }, 600);
      return false;
    });
	});

	// Window load function
	window.addEventListener('load', (event) => {
		jQuery(".preloader").delay(2000).fadeOut("slow");
	});

})( jQuery );

( function( window, document ) {
	function feminine_style_lite_keepFocusInMenu() {
		document.addEventListener( 'keydown', function( e ) {
			const feminine_style_lite_nav = document.querySelector( '.side-menu' );

			if ( ! feminine_style_lite_nav || ! feminine_style_lite_nav.classList.contains( 'open' ) ) {
				return;
			}

			const elements = [...feminine_style_lite_nav.querySelectorAll( 'input, a, button' )],
				feminine_style_lite_lastEl = elements[ elements.length - 1 ],
				feminine_style_lite_firstEl = elements[0],
				feminine_style_lite_activeEl = document.activeElement,
				tabKey = e.keyCode === 9,
				shiftKey = e.shiftKey;

			if ( ! shiftKey && tabKey && feminine_style_lite_lastEl === feminine_style_lite_activeEl ) {
				e.preventDefault();
				feminine_style_lite_firstEl.focus();
			}

			if ( shiftKey && tabKey && feminine_style_lite_firstEl === feminine_style_lite_activeEl ) {
				e.preventDefault();
				feminine_style_lite_lastEl.focus();
			}
		} );
	}

	
	
	function feminine_style_lite_keepfocus_search() {
		document.addEventListener( 'keydown', function( e ) {
			const feminine_style_lite_search = document.querySelector( '.search-outer' );

			if ( ! feminine_style_lite_search || ! feminine_style_lite_search.classList.contains( 'show' ) ) {
				return;
			}

			const elements = [...feminine_style_lite_search.querySelectorAll( 'input, a, button' )],
				feminine_style_lite_lastEl = elements[ elements.length - 1 ],
				feminine_style_lite_firstEl = elements[0],
				feminine_style_lite_activeEl = document.activeElement,
				tabKey = e.keyCode === 9,
				shiftKey = e.shiftKey;

			if ( ! shiftKey && tabKey && feminine_style_lite_lastEl === feminine_style_lite_activeEl ) {
				e.preventDefault();
				feminine_style_lite_firstEl.focus();
			}

			if ( shiftKey && tabKey && feminine_style_lite_firstEl === feminine_style_lite_activeEl ) {
				e.preventDefault();
				feminine_style_lite_lastEl.focus();
			}
		} );
	}

	feminine_style_lite_keepFocusInMenu();

	feminine_style_lite_keepfocus_search();
} )( window, document );
